# Module: app\_scripting\_proxy

## AppScriptingProxyScriptingContext

### Attributes:

| Datatype                                                                      | Name       | Description                        | Read-only |
| ----------------------------------------------------------------------------- | ---------- | ---------------------------------- | --------- |
| *string*                                                                      | jsonData   | Die zu verarbeitenden Json-Daten   | Yes       |
| [ScriptingServiceList](/scripting-reference/services.md#ScriptingServiceList) | services   | Services                           | Yes       |
| *Map\<string,object>*                                                         | parameters | Parameter zur Verwendung im Skript | No        |

## AppScriptForExecutionProcess

Verarbeitet die Json-Daten

*Return type:* *object*

| Datatype                                                                |   Name  | Description    | Required |
| ----------------------------------------------------------------------- | :-----: | -------------- | -------- |
| [AppScriptingProxyScriptingContext](#AppScriptingProxyScriptingContext) |   ctx   | Skript-Kontext | Yes      |
| *object*                                                                | jsonObj | JSON-Objekt    | Yes      |

## Instance: appScript

### Description

Manipulation eines JSONs oder Ausführung von Aktionen durch eine App

### Methods

***setProcess***

Setter für Callback "process"

| Datatype                                                      |   Name   | Description        | Required |
| ------------------------------------------------------------- | :------: | ------------------ | -------- |
| [AppScriptForExecutionProcess](#AppScriptForExecutionProcess) | callback | Callback "process" | Yes      |

```
import appScript from "app_scripting_proxy";

appScript.setProcess( (ctx, jsonObj) => {
    // Perform actions and return the manipulated json, if applicable
    return jsonObj;
});

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/scripting-reference/app_scripting_proxy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
